import type { HowlOptions } from "howler";
declare type Options = {
    events: string[];
} & HowlOptions;
/**
 * Svelte Action to play sound effects
 */
export declare function sound(node: HTMLElement, options: Options): {
    play: () => void;
    stop: () => void;
    update(options: Options): void;
    destroy(): void;
};
/**
 * Svelte Sound Reusable Action generator
 */
export declare function useSound(src: string | string[], events: string[], options?: HowlOptions): (node: HTMLElement, overrideOptions?: Partial<Options>) => {
    play: () => void;
    stop: () => void;
    update(options: Options): void;
    destroy(): void;
};
export {};
